# Intel® Enhanced Privacy ID SDK: epid/member/context.h File Reference

context.h File Reference

Member context interface. More...

`#include <stddef.h>`
`#include "epid/member/api.h"`
`#include "epid/common/errors.h"`
`#include "epid/common/epid2params.h"`
`#include "epid/common/grouppubkey.h"`
`#include "epid/common/stack.h"`
`#include "epid/common/commitment.h"`
`#include "epid/member/privkey.h"`

## Data Structures

struct | AllowedBasename
| Internal implementation of base name. More...
struct | MemberCtx
| Member context definition. More...

## Functions

void | DeleteBasenames (AllowedBasename **rootnode)
| Delete base name list.
EpidStatus | AddBasename (AllowedBasename **rootnode, void const *basename, size_t length)
| Add new base name to list.
bool | ContainsBasename (AllowedBasename const *rootnode, void const *basename, size_t length)
| Check if given base name exist in the list.
EpidStatus | EpidComputePreSig (MemberCtx const *ctx, PreComputedSignature *precompsig)
| Performs Pre-computation that can be used to speed up signing. More...

## Detailed Description

Member context interface.

## Function Documentation

EpidStatus EpidComputePreSig | ( | MemberCtx const * | ctx,
|  | PreComputedSignature * | precompsig
| ) |  |

Performs Pre-computation that can be used to speed up signing.

Warning
  Do not re-use the same pre-computed signature to generate more than one signature. If a pre-computed signature is used for computing two signatures, an attacker could learn the Intel(R) EPID private key.

Parameters

  [in] | ctx | The member context.
  [out] | precompsig | The pre-computed signature.

Returns
  EpidStatus